Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
AMD64 - The masked applications that work .. wip
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3 ... 16, 17, 18  Next  
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64
View previous topic :: View next topic  
Author Message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Sun Jan 18, 2004 10:59 am    Post subject: AMD64 - The masked applications that work .. wip Reply with quote

MODERATOR COMMENT: Please report any successful installs of masked packages to http://bugs.gentoo.org. For a brief tutorial on submitting a useful "keyword" bug to bugzilla, take a look at HOWTO Submit A Bug to bugs.gentoo.org. If you want to post here as well, that's fine, but you will only help further Gentoo on AMD64 if you also post on http://bugs.gentoo.org.

Hi all, thanks to the help of this forum, my AMD64 machine is up and running ..

As the AMD64 port is work in progress, some of the applications are masked, but do still work.

Here is a list of what I have got working so far .. in 64 bit mode.

For hardware, try here -> http://lists.suse.com/archive/suse-amd64/2004-Jan/

Quote:

On a general note:

This thread is not intended to replace reporting bugs to bugzilla, it is so people can see which applications work, quickly and easily, prior to moving to 64 bit gentoo.


Quote:

[mb4guns]
Bluefish 0.12
grip 3.1.4
beep-media-player 1.0.0_pre5
totem 0.99.8-r2
control-center-2.4.0 [with patch]
gftp [with patch]
gedit [with patch]

[muthax]
Kde 3.2 beta2
amule 1.2.4
vcdimage
kde 3.2 rc1 [problems with kopete, LaNcom suggests removing yahoo from kopete/protocols/Makefile.am(/.in)]

[LaNcom]
Openobex 1.0.1
taglib 1.0_beta2
cryptplug 0.3.15
Minicom 2.1
lrzsz 0.12.20-r1
K3B 0.10.3-r2
cdrdao 1.1.7-r2
normalize 0.7.6-r1
yafray 0.0.4 (raytracer)
app-emulation/emul-linux-x86-gtklibs 1.0
app-emulation/emul-linux-x86-xlibs 1.0
x11-misc/xnview 1.50
fltk-1.1.4
media-libs/raptor-0.9.12
media-libs/ladspa-sdk-1.12
media-libs/liblrdf-0.3.4
dev-python/qscintilla-1.54
dev-python/PyQt-3.10
net-p2p/dctc-0.85.9
net-www/netscape-flash-7.0.25 (Not working with Firefox/Mozilla?!)

[colby1]
app-text/sword 1.5.8_pre1
app-text/bibletime 1.4.2_pre1

[asjapulk]
linux-logo-4.09
iptraf-2.7.0-r1
bittornado-5.8.11

[Donny]
app-crypt/gpa-0.7.0-r1

[knopper]
app-pda/gtkpod-0.80.2 (58048)
x11-misc/superkaramba-0.34 (58050)

[Baalz]
net-irc/ngircd-0.8.0
x11-misc/xtoolwait-1.3
dev-python/menumaker-0.17
x11-misc/xclip-0.08
x11-plugins/docker-1.5
games-emulation/gnomame-1.00_beta6


[ShadowHawkBV]
x11-misc/xscreensaver-4.16
app-cdr/k3b-0.11.12-r1
dev-tex/latex2html-2002.2
app-office/lyx-1.3.4 (After adding patch from Bug 48760)
app-editors/xemacs-gtk-21.4.8-r3
media-gfx/sane-backends-1.0.14-r2
media-gfx/xsane-0.93
x11-misc/gtkdiff-1.8.0-r2 &
app-doc/doc++-3.4.10
Gnome-2.8 (No version numbers given)

[juki_]
games-simulation/simutrans-0.84.8.4 (binary) works when you have following emulation lbraries installed:

[Bad_Byte]
net-analyzer/mrtg-2.10.15

[mc-escher]
games-board/qgo 0.2.1

[ProtectionFault]
media-video/vamps-0.95 (58517)

[ketjow]
net-im/kadu: (#65431)

[Loial]
media-plugins/mythweather 0.15
media-plugins/mythgallery 0.15
media-plugins/mythvideo 0.15.1
media-plugins/mythnews 0.15
media-plugins/mythgame 0.15 (compiles, haven't run, cause no ROMs on box)
media-plugins/mythdvd 0.15 (compiles, haven't run, cause no dvd in box yet)
media-plugins/mythbrowser 0.15
x11-themes/mythtv-themes 0.15 works

[bonki]
games-engines/scummvm-tools-0.6.1 (#62314)
app-laptop/acpi4asus-0.27 (#62315)
app-misc/kexchange-0.1 (#62450)
x11-wm/ion3-svn-20040809 (#62762)
games-engines/sarien-0.7.0 (#62769)
games-engines/freesci-0.6.1b (#62770)
net-im/micq-0.4.11 (#62953)
app-benchmarks/iozone-3.221 (#63000)
app-crypt/calcchecksum-1.6_pre1 (#63001)
games-util/agistudio-1.2.1 (#63807)

[krs_sd]
enlightenment-0.16.7.1
imlib2-1.1.2
imlib2_loaders-1.1.2

[Da_Big_G]
net-misc/bwwhois (45561)

[user]
app-benchmarks/iozone-3.221

[Zzoot]
media-video/kavi2svcd-0.8.2

[solitaire]
net-analyzer/netspeed_applet-0.10

[mb]
app-admin/verynice-1.1 (#64772)

[Q]
gnome 2.4.1 (less font properties which crashes)
qmail 1.0.3-r15 works
courier-imap 2.1.2-r1
openoffice-bin [need to put FEATURES="-sandbox" in make.conf before it will run the setup]
mozilla 1.6
corefonts ?
sharedfonts ?
freefonts ?
netbeans works with the 64bit blackdown jdk
Blackdown 64bits sdk did work (needs downloading and installing) with the following command
_POSIX2_VERSION=199209 ./j2sdk-1.4.2-rc1-linux-amd64.bin
cpufreqd 1.1
cpudyn 0.6.1
Openbox
XFCE4
JEdit

[interrupt storm]
games-puzzle/neverball-0.25.11
games-puzzle/neverputt-0.18.3
games-arcade/emilia-pinball-0.3.1
games-util/emilia-pinedit-0.3.1
games-fps/prboom-2.2.4
x11-themes/gaim-smileys-20031002
x11-libs/xosd-2.2.5
dev-util/kdevelop-3.0.0_rc1
media-gfx/pornview-0.2.0_pre1
app-office/scribus-1.1.2
app-admin/ide-smart-1.4
app-misc/colordiff-1.0.4
net-www/prozilla-1.3.6-r1
app-office/koffice-1.3_rc2
media-gfx/gimp-2.0_pre2
app-office/scribus-1.1.4 (updated)
app-admin/chkrootkit-0.41-r1 and app-admin/chkrootkit-0.42b
app-emulation/frodo-4.1 (Commodore 64 on 64-bit.. whee!)
x11-misc/xdialog-2.0.6
games-sports/ski-6.5x11
misc/fireflies-2.06
x11-misc/xvkbd-2.5a

[windex82]
KMplayer 0.8.1
normalize-0.7.6-r1
quanta 3.2

[jelliebellie]
alsa 1.02
alsa-libs 1.02
alsa-utils 1.02

[siu00mjt]
klat 0.4.0

[c4]
net-ftp/ftpcube-0.4.3-r1
app-office/ooodi-0.55 merged

[jean-michel]
gimp-user-manual-2.0 (50274)
blender 2.33 (49596)
omniORB 4.0.3 (50277)
mico-2.3.11 (50347)

[ursusarctos]
id3 ??
id3vd ??
cd-discid ??
abcde ??

[kosan]
x11-libs/gtkglarea-1.2.3-r1
dev-lang/ocaml-3.07 ==> does this produce good ocaml code?
dev-ml/lablgl-1.00
dev-libs/libxml-1.8.17-r2
gnome-base/libglade-0.17-r6
dev-ml/lablgtk-1.2.6
net-misc/unison-2.9.1

[thumper]
Quanta 3.2.0
app-doc/quanta-docs-20030405

[Phorem]
Blender 2.32
Kino 0.70
Jackd 0.94.0
Ardour 0.9beta11-r1
Rosegarden 4-0.9.7
Avidemux 2.0.23
DvdRip 0.50.17

[The Ennead]
media-gfx/gimp-freetype-0.2-r3
app-portage/splat/splat-0.07
sys-apps/procps-3.1.15
net-misc/openssh-3.8_p1
sys-kernel/gentoo-dev-sources-2.6.3-r2
x11-misc/karamba-0.17-r1
media-gfx/gimp-1.2.5
media-gfx/gimp-2.0_pre3-r1
app-admin/gkrellm-2.1.25
dev-java/java-config-1.2.6
app-emulation/emul-linux-x86-xlibs-1.0
app-emulation/emul-linux-x86-baselibs-1.0
dev-java/blackdown-jdk-1.4.2_rc1
app-office/openoffice-bin/openoffice-bin-1.1.0 [As per Q' post - need to put FEATURES="-sandbox" in make.conf before it will run the setup]

[thither]
games-roguelike/angbang-3.0.3
games-roguelike/tome-2.2.5-r1
games-roguelike/scourge-0.1
games-roguelike/slashem-0.0.648

[frank0]
media-sound/gnomeradio-1.4
media-sound/gnome-alsamixer-0.9.3
dev-util/desktop-file-utils-0.3
net-im/gabber-0.8.8
dev-tex/latex-unicode-20030605
dev-tex/cjk-latex-4.2.5
sys-libs/lib-compat-1.3
media-libs/swfdec-0.2.2-r1
media-libs/libswf-0.99
app-emacs/gnus-5.10.6
app-emacs/elib-1.0
app-emacs/color-theme-6.5.4
app-emacs/bbdb-2.34
app-emacs/auctex-11.14
app-emacs/boxquote-1.18
app-emacs/tramp-2.0.36
app-emacs/php-mode-105
app-emacs/speedbar-0.14_beta4
app-emacs/session-2.2a
app-emacs/psgml-1.2.5
app-emacs/mmm-mode-0.4.7
app-emacs/crypt++-2.91
app-emacs/gnuserv-3.12.5
app-emacs/mule-ucs-0.85_rc3
media-sound/cplay-1.49
games-puzzle/enigma-0.81
app-emacs/mailcrypt-3.5.8

[handsomepete]
grub 0.94-r1

[mb]
filelight 0.6.4

[jobeus]
sys-devel/gettext-0.12.1-r1
sys-apps/help2man-1.33.1
app-crypt/hashalot-0.2.0net-mail/sylpheed-claws-0.9.10 (submitted as 47157).
sys-apps/man-1.5m
net-mail/pine-4.58-r3
app-shells/sash-3.7
net-im/amsn-0.90

[Corona688]
xsensors-0.20
ion3-20040316_p1 (47122)
sys-apps/rng-tools (47147)
app-misc/cdctl (47271)
media-gfx/pfaedit (47924)
dev-embedded/sdcc (47952)
media-plugins/modplugxmms (42074)
x11-misc/xsnap-1.3 (48707)
media-sound/soundtracker 0.6.7 (49880)
games-arcade/kobodeluxe(51075)
media-libs/sdl-mixer (51772)
games-action/koth-0.8.0 (51893)
media-libs/libsidplay-1.36.57(53322)
media-plugins/xmms-sid-0.8.0_beta10(53334)
x11-misc/xnc-5.0.2(53353)
app-misc/cdspeed-0.3(54257)
app-misc/delay-1.6(54313)
app-misc/dvorak7min-1.6.1(54314)
app-misc/fdupes-1.4.0(54324)
app-misc/kgraphspace-0.3.0_pre1(54328)
app-misc/lhinv-1.1-r3(54344)
app-misc/tdfsb(54353)
games-board/hexxagon-0.3.2(54388)
media-plugins/xmms-synaesthesia-0.0.3_rc3(54937)
app-misc/bfr(55380)
net-misc/udpcast-20040222(#57776)
net-misc/wput-0.4(#57905)
licq-themes(#61953)
raccess-0.7(#62285)

[none]
qingy-0.4.0

[Andysan]
app-misc/krusader-1.40_beta1-r1

[ectospasm]
app-cdr/arson-0.9.7
x11-plugins/gkrellmoon-0.6
x11-plugins/gkrellsun-0.9.1
net-misc/xsmbrowser-3.4.0

[RAPUL]
x11-misc/ksplash-ml-0.95.3
x11-themes/ksplash-ml-themes-20020705
x11-misc/xnc-5.0.4

[Twist]
games-emulation/gxmame-0.34b
games-engines/xzip-1.8.2-r2
games-engines/frotz-2.43
net-mail/sylpheed-claws-0.9.10 (47157) (workaround in bugzilla)
jpeginfo-1.6.0 (48407)

[gebner]
dev-util/tla-1.2-r1 (47274)
app-arch/dpkg-1.10.18.1 (47276)
dev-util/debootstrap-0.2.23 (47277)
app-misc/lirc-0.7.0_pre4 (48695)
dev-dotnet/mapp-editors/emacs-cvs-21.3.50 (50930)
dev-python/pexpect-0.97 (50929)
ono-0.91 (50359)

[Kow]
x11-misc/xbindkeys-1.7.0

[Ben2040]
sux 1.0-r1

[hifi]
net-fs/autofs 4.1.3
app-emacs/ecb 2.24
app-emacs/gnus 5.10.6
app-emacs/mailcrypt 3.5.8

[burger]
games-emulation/corewars-0.9.13-r1 (51598)
games-emulation/visualboyadvance-1.7.1-r1 (51691)
games-rpg/daimonin-client-0.95b-r2 (52140)
games-strategy/glob2-0.8.6 (53988)

[Tuinslak]
rox 2.1.2 (51731)

[crazycat]
stramtuner 0.11.1 (not even in portage)
its plugins:
xiph plugin v. 0.0.1
live365 0.3.3
local 0.3.0

[s34get]
dev-lang/R-1.8.0
kmldonkey ??

[thither]
x11-misc/synergy-1.0.14
app-text/kvim-6.2.14

[Tronic]
irssi-cvs ??
optipng-0.4.3-r1

[Xelrach]
wxPython-2.4.2.4
bittorrent-3.3.0

[libolt]
app-text/html401 19991224-r1
app-text/xhtml1 20020801-r1

[jstelly]
distcc-2.12.1

[cryos]
gkrellm-themes (51129)
dev-tcltk/bwidget/bwidget-1.7.0 (52397)

[theboywho]
dev-perl/Authen-SASL-2.04

[ndraak]
aterm 0.4.2-r7
evolution 1.4.5
xine 0.9.23
qemacs 0.3.1
chromium 0.9.12r5
ncftp 3.1.7

[varikin]
mozilla 1.5

[Uninformed]
games-arcade/sdl-sopwith 1.7.1 (NON GTK ONLY)

[exactt]
mmix (version 20020216)
cweb-3.64
ibdvdplay 1.0.1

[jimbojetset]
gmudix 0.6

[himpierre]
irssi 0.8.9
mythtv-0.14-r1
rss-glx-0.7.6

[fade]
[corefonts], [efont-unicode], [freefonts], [kochi-substitute], [konfont], [mikachan-font], [monafont], [mplus-fonts], [sharefonts], [unifont], [baekmuk-fonts], [arphicfonts], [aquapfont]
[aquafont]
games-strategy/wesnoth 0.6.99.3
games-rpg/freedroid 1.0.2
app-admin/gkrellm 2.1.25

[Danger_Mouse]
media-sound/abcde-2.1.9
media-sound/id3v2-0.1.9-r1

[secondshadow]
net-im/naim

[Gwyd10n]
cdplay-0.9

[jean-michel]
amarok 1.0
dvd-slideshow (54829)
varsha (54830)

[frmky]
media-gfx/povray-3.50c

[phosphonium]
app-sci/lapack
app-sci/blas
app-sci/mpqc/mpqc-2.2.0
fluxconf 0.9.7
x11-libs/gtkglarea-1.2.3-r1
dev-libs/libf2c-20021004
app-sci/ghemical-1.0.0

[Reducer2001]
app-office/kmymoney2

[TrippleUe]
media-libs/libcaca-0.9
net-im/licq-1.2.7

[Config]
licq-1.2.7
Dia 0.92.2
neverball-1.10
Rhythmbox 0.6.5 [with some tweaks, see thread page 7]

[regnnick]
kde-3.1.5 (except kdemultimedia-3.1.5 that doesn't compile and thus kdeaddons-3.1.5)
xemacs (except app-xemacs/emerge-1.09 that I had to built independently)
gtkglext-1.0.4
k3b-0.11.1
libcdio-0.64
vcdimager-0.7.19
gnuplot (gnuplot-3.8j)
app-xemacs/ps-print-1.08
app-xemacs/text-modes-1.58
app-xemacs/perl-modes-1.04

[kcn]
app-arch/unrar-3.3.4
net-www/squid-2.5.4
net-mail/amavisd-new-20030616_p7
net-mail/clamav-0.65
dev-libs/ace-5.4
dev-perl/net-server-0.85
dev-util/cvs-1.11.12
net-analyzer/tcpdump-3.8.1

[J.M.I.T.]
gnome-base/gnome-2.4.2
x11-libs/qt-3.3.0-r1

[scoobydu]
fluxbox 0.9.8
mozilla firebird 0.7
mozilla firefox 0.8 [with a little ebuild tweaking]
xchat 2.06
gaim 0.75
gkrellm 2.1.24
gamix
gvim 6.2
pan 0.14.2
rox-2.1.0 [latest rox-2.1.1 also works great too!! :)]
gtk-theme-switch-1.0.1
gtk-theme-switch-2.0.0_rc2

jpilot 0.99.6
xcdroast 0.98 alpha15 r3 [with patch & prodvd not working yet]
alsa 1.01 [kernel patch works fine in current 2.6.1 amd64 gentoo kernel]
alsa-libs 1.04
alsa-utils 1.04
dev-java/blackdown-jdk-1.4.2_rc1
usbview 1.0
bluez-utils-2.6
bluez-libs-2.6
bluez-fw-1.0



These are not masked and work out of the box ...

Quote:

xfree 4.4rc1 [now officially depreciated 25/04/04]
nvidia drivers :mrgreen: [well done nvidia!]
mc
kernel 2.6.1 [with some good patches included!]

_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|


Last edited by scoobydu on Sun Sep 26, 2004 8:21 pm; edited 69 times in total
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Sun Jan 18, 2004 12:31 pm    Post subject: Reply with quote

who needs xcdroast?

#bash your friend ;)
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Sun Jan 18, 2004 12:46 pm    Post subject: Reply with quote

taskara wrote:
who needs xcdroast?

#bash your friend ;)


I'm lazy :wink:
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Sun Jan 18, 2004 12:52 pm    Post subject: Reply with quote

:?

I find command line easier! :o

anyway.. can't u just compile k3b with 32bit flags? and it should natively run
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Sun Jan 18, 2004 1:01 pm    Post subject: Reply with quote

cdrecord command line is great, but making the iso I find a pain! Putting the files into a directory, and telling mkiso to create an iso image from that, especially if the files are on differant drives ...

Anyway, yes I guess I could run xcdroast in 32bit mode, but the thread is 64 bit native :wink:
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Sun Jan 18, 2004 1:03 pm    Post subject: Reply with quote

true true ;)
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
mb4guns
Guru
Guru


Joined: 04 Dec 2002
Posts: 300
Location: Netherlands

PostPosted: Sun Jan 18, 2004 4:36 pm    Post subject: Reply with quote

More masked workers:
Quote:

Bluefish 0.12
grip 3.1.4
beep-media-player 1.0.0_pre5
totem 0.99.8-r2


And ass well not working:
Quote:

gftp

_________________
sys0: Athlon64, Corsair TWINX DDR400 (1024mb), GeForce FX5600 256mb, 2x SATA MAxtor 120gig, Plextor 708a, Zalman cooling, Zalman powered, gnomed
sys1: Dell inspiron 4100 PentiumIII-mobile@1000 512mb ATI Radeon mobility m6 30gig, gnomed
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Sun Jan 18, 2004 4:46 pm    Post subject: Reply with quote

Good job mb4guns :)

I've added your tested apps to the top, so we can keep track of them easily (hope thats ok!)

did you get the same with gftp as me? install but segfaults when run.

scooby
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
mb4guns
Guru
Guru


Joined: 04 Dec 2002
Posts: 300
Location: Netherlands

PostPosted: Sun Jan 18, 2004 6:02 pm    Post subject: Reply with quote

yes segfaulting on gtk widgets, its coused by some uncompatible variable types.

There is a patch for 2.0.15, here are instructions on how to use this patch:

[UPDATE fast patching]
Download: http://codefighters.org/gentoo/gftp-2.0.15-amd64.tar.bz2
Code:

cd /usr/portage
tar xjvf /path/to/gftp-2.0.15-amd64.tar.bz2
emerge net-ftp/gftp/gftp-2.0.15.ebuild

[/UPDATE]

Get the patch:
http://codefighters.org/gentoo/patches/gftp-2.0.15-amd64.patch

and save it in
Code:
/usr/portage/net-ftp/gftp/files/


Now edit the ebuild manually:
Code:
nano -w /usr/portage/net-ftp/gftp/gftp-2.0.15.ebuild


Search for:
Code:

src_compile() {
        local myconf
                                                                               
        use nls \
                && myconf="--enable-nls" \
                || myconf="--disable-nls"


and add the line:
Code:

epatch ${FILESDIR}/$P-amd64.patch


So it now looks like:
Code:

src_compile() {
        epatch ${FILESDIR}/$P-amd64.patch
        local myconf
                                                                               
        use nls \
                && myconf="--enable-nls" \
                || myconf="--disable-nls"


Now simply do a:

Code:
emerge /usr/portage/net-ftp/gftp/gftp-2.0.15.ebuild


All should be set and working now, be sure to notice the amazing startup time of gftp :D

maby I create a patch for 2.0.16, time will tell
_________________
sys0: Athlon64, Corsair TWINX DDR400 (1024mb), GeForce FX5600 256mb, 2x SATA MAxtor 120gig, Plextor 708a, Zalman cooling, Zalman powered, gnomed
sys1: Dell inspiron 4100 PentiumIII-mobile@1000 512mb ATI Radeon mobility m6 30gig, gnomed


Last edited by mb4guns on Mon Jan 19, 2004 10:54 am; edited 4 times in total
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Sun Jan 18, 2004 6:28 pm    Post subject: Reply with quote

mb4guns

Works a treat! thx for the howto :)

cheers


ps.

After all that typing, just a small typo :wink:

/usr/portage/net/ftp/gftp/files/ => /usr/portage/net-ftp/gftp/files/
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
mb4guns
Guru
Guru


Joined: 04 Dec 2002
Posts: 300
Location: Netherlands

PostPosted: Sun Jan 18, 2004 6:53 pm    Post subject: Reply with quote

Ok new one for the list, gnome-base/control-center-2.4.0 is segfaulting on amd64, another patch:

[UPDATE fast patching]
Download: http://codefighters.org/gentoo/control-center-2.4.0-amd64.tar.bz2
Code:

cd /usr/portage
tar xjvf /path/to/control-center-2.4.0-amd64.tar.bz2
emerge control-center

[/UPDATE]

Get the patch:
http://codefighters.org/gentoo/patches/control-center-2.4.0-amd64.patch

and save it in
Code:
/usr/portage/gnome-base/control-center/files/


Now edit the ebuild manually:
Code:
nano -w /usr/portage/gnome-base/control-center/control-center-2.4.0.ebuild


Search for:
Code:

src_unpack() {
                                                                                                             
        unpack ${A}
                                                                                                             
        cd ${S}
        # See http://gcc.gnu.org/cgi-bin/gnatsweb.pl problem #9700 for
        # what this is about.
        use alpha && epatch ${FILESDIR}/control-center-2.2.0.1-alpha_hack.patch
                                                                                                             
        # temporary fix for icon installation adapted by <link@sub_pop.net> (#16928)
        epatch ${FILESDIR}/${PN}-2.2-icons_install.patch
}


and add the line:
Code:

epatch ${FILESDIR}/${P}-amd64.patch


So it now looks like:
Code:

src_unpack() {
                                                                                                             
        unpack ${A}
                                                                                                             
        cd ${S}
        # See http://gcc.gnu.org/cgi-bin/gnatsweb.pl problem #9700 for
        # what this is about.
        use alpha && epatch ${FILESDIR}/control-center-2.2.0.1-alpha_hack.patch
                                                                                                             
        # temporary fix for icon installation adapted by <link@sub_pop.net> (#16928)
        epatch ${FILESDIR}/${PN}-2.2-icons_install.patch
        epatch ${FILESDIR}/${P}-amd64.patch
}


Now simply do a:

Code:
emerge control-center


Have a lot of font pleasure...
_________________
sys0: Athlon64, Corsair TWINX DDR400 (1024mb), GeForce FX5600 256mb, 2x SATA MAxtor 120gig, Plextor 708a, Zalman cooling, Zalman powered, gnomed
sys1: Dell inspiron 4100 PentiumIII-mobile@1000 512mb ATI Radeon mobility m6 30gig, gnomed


Last edited by mb4guns on Mon Jan 19, 2004 10:54 am; edited 2 times in total
Back to top
View user's profile Send private message
muthax
n00b
n00b


Joined: 28 Aug 2003
Posts: 33

PostPosted: Sun Jan 18, 2004 9:36 pm    Post subject: Reply with quote

You can add Kde 3.2 beta2 to that list! Once unmasked with keyword it compiles fine and then runs too! It's as stable as when I tried it on slackware 9.1 and looks gorgeous with Plastik theme (that unfortunately isn't the defaullt). Runs fast too, but I could really tell if I could compile any ATI drivers... vesa sux.
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Sun Jan 18, 2004 9:55 pm    Post subject: Reply with quote

muthax wrote:
You can add Kde 3.2 beta2 to that list! Once unmasked with keyword it compiles fine and then runs too! It's as stable as when I tried it on slackware 9.1 and looks gorgeous with Plastik theme (that unfortunately isn't the defaullt). Runs fast too, but I could really tell if I could compile any ATI drivers... vesa sux.


Done.

Thanks :)
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
windex82
Apprentice
Apprentice


Joined: 05 Jun 2003
Posts: 181

PostPosted: Sun Jan 18, 2004 10:36 pm    Post subject: Reply with quote

My list of working apps:
KDE 3.2b2
KMplayer 0.8.1
normalize-0.7.6-r1

Non-working:
Quanta 3.2b2
Code:

/usr/bin/perl -pe "s,tr2i18n( \"\" ),QString::null,g" htmldocumentpropertiesui.cpp.temp | /usr/bin/perl -pe "s,tr2i18n( \"\"\, \"\" ),QString::null,g" | /usr/bin/perl -pe "s,image([0-9][0-9]*)_data,img\$1_htmldocumentpropertiesui,g" >> htmldocumentpropertiesui.cpp ;\
rm -f htmldocumentpropertiesui.cpp.temp ;\
if test "$ret" = 0; then echo '#include "htmldocumentpropertiesui.moc"' >> htmldocumentpropertiesui.cpp; else rm -f htmldocumentpropertiesui.cpp ; exit $ret ; fi
wkafkapart.cpp: In member function `QString KafkaDocument::getEncodedText(const
   QString&, int, int, int&, int&)':
wkafkapart.cpp:886: warning: unused variable `int _bLine'
wkafkapart.cpp:886: warning: unused variable `int _bCol'
wkafkapart.cpp: In member function `long int
   KafkaDocument::translateKafkaIntoNodeCursorPosition(DOM::Node, long int)':
wkafkapart.cpp:1168: error: ISO C++ says that `QCharRef
   QString::operator[](int)' and `operator[]' are ambiguous even though the
   worst conversion for the former is better than the worst conversion for the
   latter
make[5]: *** [wkafkapart.lo] Error 1
make[5]: *** Waiting for unfinished jobs....
make[5]: Leaving directory `/var/tmp/portage/quanta-3.2.0_beta2/work/quanta-3.1.94/quanta/parts/kafka'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/var/tmp/portage/quanta-3.2.0_beta2/work/quanta-3.1.94/quanta/parts/kafka'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/quanta-3.2.0_beta2/work/quanta-3.1.94/quanta/parts'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/quanta-3.2.0_beta2/work/quanta-3.1.94/quanta'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/quanta-3.2.0_beta2/work/quanta-3.1.94'
make: *** [all] Error 2

!!! ERROR: app-editors/quanta-3.2.0_beta2 failed.
!!! Function kde_src_compile, Line 123, Exitcode 2
!!! died running emake, kde_src_compile:make


has anyone had any luck with dvd::rip? It depends on mpegtools 1.6, im only finding up to 1.5b-r1 in portage.. looking at the first post in this thread indicates it dosnt work anyway but clerification would be appreciated. =)

Also is there a better/easier way to install these apps other then using
Code:
ACCEPT_KEYWORDS="~amd64" emerge /usr/portage/app/that/requires/blocked.ebuild

then emerging each of the blocked packages untill you can finally install the app that depends on blocked packages? (if that even made sence =P )
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Sun Jan 18, 2004 10:51 pm    Post subject: Reply with quote

No luck with dvdrip, have tried, and as you say mjpegtools borks ...

To install the apps, I select them with mc, and then just emerge %f. Don't use ACCEPT KEYWORDS at all ..

Not sure of your problem sorry. Have you logged a bug report to amd64?
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
muthax
n00b
n00b


Joined: 28 Aug 2003
Posts: 33

PostPosted: Sun Jan 18, 2004 10:51 pm    Post subject: Reply with quote

I suppose you can use sed or a grafical editor like kedit to search all ~amd64 and turn them in amd64 on the bunch of ebuild files u need to install ;)
Back to top
View user's profile Send private message
zendron
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jul 2002
Posts: 82

PostPosted: Sun Jan 18, 2004 11:09 pm    Post subject: Reply with quote

Use ekeyword ( in the gentoolkit pkg ) to change the keywords, like
ekeyword amd64 /path/to/ebuild.ebuild.
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Sun Jan 18, 2004 11:24 pm    Post subject: Reply with quote

zendron wrote:
Use ekeyword ( in the gentoolkit pkg ) to change the keywords, like
ekeyword amd64 /path/to/ebuild.ebuild.


Looks interesting :)

Can that be extended to all dependants of the ebuild :?:
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
muthax
n00b
n00b


Joined: 28 Aug 2003
Posts: 33

PostPosted: Mon Jan 19, 2004 12:05 am    Post subject: Reply with quote

amule 1.2.4 compiles and works fine even if it eats CPU like mad, 70% over. Dunno if it's a bug in maule never used it but cannot get wine to compile to use emule. Anyone any luck?

cheers
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Mon Jan 19, 2004 12:09 am    Post subject: Reply with quote

muthax wrote:
amule 1.2.4 compiles and works fine even if it eats CPU like mad, 70% over. Dunno if it's a bug in maule never used it but cannot get wine to compile to use emule. Anyone any luck?

cheers


Don't use it myself, I find mldonkey does what I need :)
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
muthax
n00b
n00b


Joined: 28 Aug 2003
Posts: 33

PostPosted: Mon Jan 19, 2004 12:31 am    Post subject: Reply with quote

Cannot get it to emerge. Have you emerged it or compiled it in 32bit mode?
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Mon Jan 19, 2004 10:16 am    Post subject: Reply with quote

muthax wrote:
Cannot get it to emerge. Have you emerged it or compiled it in 32bit mode?


Sorry muthax .. it runs on gentoox on my xbox, not my opteron server.

I've not tried it on amd64, although I did hear that ocaml compiles but produces bad code for the 64 platform?

scooby
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
mb4guns
Guru
Guru


Joined: 04 Dec 2002
Posts: 300
Location: Netherlands

PostPosted: Mon Jan 19, 2004 10:57 am    Post subject: Reply with quote

gedit segfaults when opening a file directly, gedit <file> or in gnome open with> gedit

To fix:

Download: http://codefighters.org/gentoo/gedit-2.4.0-amd64.tar.bz2
Code:

cd /usr/portage
tar xjvf /path/to/gedit-2.4.0-amd64.tar.bz2
emerge gedit


Now it's segfaulting free, happy quick editing :)

Patch fans: http://codefighters.org/gentoo/patches/gedit-2.4.0-amd64.patch
_________________
sys0: Athlon64, Corsair TWINX DDR400 (1024mb), GeForce FX5600 256mb, 2x SATA MAxtor 120gig, Plextor 708a, Zalman cooling, Zalman powered, gnomed
sys1: Dell inspiron 4100 PentiumIII-mobile@1000 512mb ATI Radeon mobility m6 30gig, gnomed
Back to top
View user's profile Send private message
scoobydu
Veteran
Veteran


Joined: 16 Feb 2003
Posts: 1076
Location: 'Mind the Gap'

PostPosted: Mon Jan 19, 2004 1:22 pm    Post subject: Reply with quote

Nice one with gedit :)

Let us know if you find a patch for xcdroast or mjpegtools :wink:
_________________
Tyan Tiger K8W, 2xOpteron 240,Powerbook5,6 15" 1.5g, Macbook Black 2g, Mac Mini 1g, Ipod P60g.
| Linux - From a windows user perspective|
Back to top
View user's profile Send private message
muthax
n00b
n00b


Joined: 28 Aug 2003
Posts: 33

PostPosted: Mon Jan 19, 2004 1:40 pm    Post subject: Reply with quote

scoobydu wrote:
muthax wrote:
Cannot get it to emerge. Have you emerged it or compiled it in 32bit mode?


Sorry muthax .. it runs on gentoox on my xbox, not my opteron server.

I've not tried it on amd64, although I did hear that ocaml compiles but produces bad code for the 64 platform?

scooby


yeah ocaml is the culprit. gonna try compiling in 32bit.

cheers

ps

downloading 32-bit binaries from the web works too. I downloaded Winex3 from Transgaming, the .tgz package, unzipped it, copied the content of the /usr/bin dir to /usr/local/bin and the rest under /usr/lib and /usr/local/share and all works fine. I think it's the only way to get wine working
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64 All times are GMT
Goto page 1, 2, 3 ... 16, 17, 18  Next
Page 1 of 18

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum